# coding=utf-8

from rest_framework import serializers
from .models import ErrorBook
from apps.examination.examquestion.serializers import ExamQuestionSerializer
from apps.examination.exam.serializers import ExamAnswerLogSerializer


class ErrorBookSerializer(serializers.ModelSerializer):
    question = serializers.SerializerMethodField()
    answer = serializers.SerializerMethodField()
    exam_name = serializers.CharField(source='last_answer_log.main.exam.name', read_only=True)

    class Meta:
        model = ErrorBook
        fields = "__all__"

    def get_question(self, obj):
        return ExamQuestionSerializer(obj.question).data

    def get_answer(self, obj):
        return ExamAnswerLogSerializer(obj.last_answer_log).data
